Search
K
Policy Transactions

Submit Initial Death Claim Transaction

Submits an initial death claim notification for the given policy.

post

Path Parameters

planCodestringrequired

Plan Code

Example:551

policyNumberstringrequired

Policy Number

Example:POL-20251215-001

Body

application/json

InitialDeathClaimRequest

correlationIdstring

Unique identifier used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”) when the death claim transaction was originally scheduled or expected to happen. It can be a non-business day

Example:2025-12-15

transactionReasonstringrequired

Reason for the transaction

Allowed values:DEATH_NOTIFICATION

Example:DEATH_NOTIFICATION

externalIdentifiersobject
Show Child Parameters
policyobject
Show Child Parameters
partiesarray[object]required
Show Child Parameters
deathNotificationobjectrequired
Show Child Parameters

Response

application/json

Submit Transaction Successful

InitialDeathClaimAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/bpm/v1/policies/{planCode}/{policyNumber}/initialdeathclaim

Body

{ "correlationId": "string", "effectiveDate": "2025-12-15", "transactionReason": "DEATH_NOTIFICATION", "externalIdentifiers": { "externalTransactionId": "string", "referenceNumber": "string" }, "policy": { "policyNumber": "string", "productType": "LIFE", "lineOfBusiness": "LIFE" }, "parties": [ { "partyId": "uuid-informant", "partyRole": "INFORMANT", "partyType": "INDIVIDUAL", "relationshipToInsured": "SPOUSE", "isFuneralHomeAssigned": true, "personalInformation": { "firstName": "string", "middleName": "string", "lastName": "string", "suffix": "string", "prefix": "string", "dateOfBirth": "1990-01-01", "gender": "MALE", "birthSex": "MALE", "birthCountry": "US", "citizenCountry": "US" }, "partyCommunication": "REGULARMAIL", "identifiers": [ { "type": "SSN", "value": "string", "description": "Social Security Number", "source": "SSA", "issueDate": "2015-01-01", "expirationDate": "2070-01-01", "status": "ACTIVE", "countryOfIssue": "US" } ], "address": { "preferredAddressId": "1", "addresses": [ { "addressId": "1", "startDate": "2026-05-13", "addressType": "RESIDENCE", "addressLine1": "1112 Pickle Street", "addressLine2": "South Jersey", "addressLine3": "1234 Post box", "city": "Garden City", "state": "AL", "zipCode": "67846", "zipCodeExtension": "23", "country": "US", "isPreferred": true } ] }, "phoneNumber": { "preferredPhoneId": "1", "phones": [ { "phoneId": "1", "startDate": "2026-05-13", "phoneType": "MOBILE", "countryCode": "1", "areaCode": "973", "dialNumber": "765789", "isPreferred": true } ] }, "email": { "preferredEmailId": "1", "emails": [ { "emailId": "1", "startDate": "2026-05-13", "emailType": "PERSONAL", "emailAddress": "informant@example.com", "isPreferred": true } ] } }, { "partyId": "uuid-insured", "partyRole": "INSURED", "partyType": "INDIVIDUAL", "personalInformation": { "firstName": "string", "middleName": "string", "lastName": "string", "suffix": "string", "prefix": "string", "dateOfBirth": "1990-01-01", "gender": "MALE", "birthSex": "MALE", "birthCountry": "US", "citizenCountry": "US" }, "partyCommunication": "REGULARMAIL", "identifiers": [ { "type": "SSN", "value": "string", "description": "Social Security Number", "source": "SSA", "issueDate": "2015-01-01", "expirationDate": "2070-01-01", "status": "ACTIVE", "countryOfIssue": "US" } ] }, { "partyId": "uuid-PRIMARYBENEFICIARY", "partyRole": "PRIMARYBENEFICIARY", "partyType": "INDIVIDUAL", "relationshipToInsured": "SPOUSE", "isFuneralHomeAssigned": true, "personalInformation": { "firstName": "BENEFICIARY1", "middleName": "string", "lastName": "string", "suffix": "string", "prefix": "string", "dateOfBirth": "1990-01-01", "gender": "MALE", "birthSex": "MALE", "birthCountry": "US", "citizenCountry": "US" }, "partyCommunication": "REGULARMAIL", "identifiers": [ { "type": "SSN", "value": "string", "description": "Social Security Number", "source": "SSA", "issueDate": "2015-01-01", "expirationDate": "2070-01-01", "status": "ACTIVE", "countryOfIssue": "US" } ], "address": { "preferredAddressId": "1", "addresses": [ { "addressId": "1", "startDate": "2026-05-13", "addressType": "RESIDENCE", "addressLine1": "1112 Pickle Street", "addressLine2": "South Jersey", "addressLine3": "1234 Post box", "city": "Garden City", "state": "AL", "zipCode": "67846", "zipCodeExtension": "23", "country": "US", "isPreferred": true } ] }, "phoneNumber": { "preferredPhoneId": "1", "phones": [ { "phoneId": "1", "startDate": "2026-05-13", "phoneType": "MOBILE", "countryCode": "1", "areaCode": "973", "dialNumber": "765789", "isPreferred": true } ] }, "email": { "preferredEmailId": "1", "emails": [ { "emailId": "1", "startDate": "2026-05-13", "emailType": "PERSONAL", "emailAddress": "informant@example.com", "isPreferred": true } ] } }, { "partyId": "uuid-PRIMARYBENEFICIARY2", "partyRole": "PRIMARYBENEFICIARY", "partyType": "INDIVIDUAL", "relationshipToInsured": "SPOUSE", "isFuneralHomeAssigned": true, "personalInformation": { "firstName": "BENEFICIARY2", "middleName": "string", "lastName": "string", "suffix": "string", "prefix": "string", "dateOfBirth": "1990-01-01", "gender": "MALE", "birthSex": "MALE", "birthCountry": "US", "citizenCountry": "US" }, "partyCommunication": "REGULARMAIL", "identifiers": [ { "type": "SSN", "value": "string", "description": "Social Security Number", "source": "SSA", "issueDate": "2015-01-01", "expirationDate": "2070-01-01", "status": "ACTIVE", "countryOfIssue": "US" } ], "address": { "preferredAddressId": "1", "addresses": [ { "addressId": "1", "startDate": "2026-05-13", "addressType": "RESIDENCE", "addressLine1": "1112 Pickle Street", "addressLine2": "South Jersey", "addressLine3": "1234 Post box", "city": "Garden City", "state": "AL", "zipCode": "67846", "zipCodeExtension": "23", "country": "US", "isPreferred": true } ] }, "phoneNumber": { "preferredPhoneId": "1", "phones": [ { "phoneId": "1", "startDate": "2026-05-13", "phoneType": "MOBILE", "countryCode": "1", "areaCode": "973", "dialNumber": "765789", "isPreferred": true } ] }, "email": { "preferredEmailId": "1", "emails": [ { "emailId": "1", "startDate": "2026-05-13", "emailType": "PERSONAL", "emailAddress": "informant@example.com", "isPreferred": true } ] } } ], "deathNotification": { "notificationReceivedDate": "2025-12-15", "proofOfDeathReceived": false, "certifiedReceivedDate": "2025-12-15", "claimStatus": "PENDING", "deathDetails": { "dateOfDeath": "2025-12-15", "locationOfDeath": "string", "countryOfDeath": "US" } } }
 
application/json

Validation OneTime Premium Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Body

application/json

OneTimePremiumRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

effectiveDatestring(date)required

Date when the transaction was originally scheduled or expected to happen. It can be a non-business day

Example:2023-01-01

reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

transactionAmountsobjectrequired
Show Child Parameters
payorAny Of
required
Variant 1object
Show Child Parameters
transactionReasonstring

Reason for Initiating One Time Premium Transaction

Allowed values:ONETIMEPREMIUMPRODUCTDEFAULT

Example:PRODUCTDEFAULT

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

externalTransactionIdstring

Transaction ID from external system

Example:A12345

overrideboolean

BPM will have to override the rules if this variable is marked as ‘true’

Response

application/json

OneTime Premium Success Response.yaml

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/onetimepremium/validation

Body

{ "effectiveDate": "2023-01-01", "transactionAmounts": { "requestedAmount": 0 }, "payor": { "bankId": "bankId" } }
 
application/json

Submit OneTime Premium Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Body

application/json

OneTimePremiumRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

effectiveDatestring(date)required

Date when the transaction was originally scheduled or expected to happen. It can be a non-business day

Example:2023-01-01

reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

transactionAmountsobjectrequired
Show Child Parameters
payorAny Of
required
Variant 1object
Show Child Parameters
transactionReasonstring

Reason for Initiating One Time Premium Transaction

Allowed values:ONETIMEPREMIUMPRODUCTDEFAULT

Example:PRODUCTDEFAULT

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

externalTransactionIdstring

Transaction ID from external system

Example:A12345

overrideboolean

BPM will have to override the rules if this variable is marked as ‘true’

Response

application/json

Submit Transaction Successful

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

post/policy/v1/transactions/{planCode}/{policyNumber}/onetimepremium

Body

{ "effectiveDate": "2023-01-01", "transactionAmounts": { "requestedAmount": 0 }, "payor": { "bankId": "bankId" } }
 
application/json

Eligibility Check OneTime Premium Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

OneTime Premium Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/onetimepremium/eligibilitycheck
 
application/json

Validation OneTime RMD Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Body

application/json

OnetimeRmdRequest

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

effectiveDatestring(date)

Date (with pattern “yyyy-mm-dd”) when the transaction was originally scheduled or expected to happen, can be a non-business day

reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

Default:false

externalIdentifiersobject
Show Child Parameters
transactionAmountsobject
Show Child Parameters
fundAllocationobject
Show Child Parameters
taxWithholdingInstructionsarray[object]
Show Child Parameters
fundDistributionsarray[object]
Show Child Parameters
partiesarray[object]
Show Child Parameters
chargesarray[object]
Show Child Parameters

Response

application/json

OneTime RMD Success Response.yaml

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/onetimermd/validation

Body

{}
 
application/json